=== debian/changelog ===
odpic (4.3.0-3) unstable; urgency=medium

  * [a773491] fix Vcs URLs
  * [1e1bc40] clean doctrees as a dir.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: 1004614)
  * [c9b1882] drop libaio1 from Dep to Rec.
    This is just a convenience dep as libodpic doesn't directly use libaio1,
    but it is needed by the (unpackagable) Oracle Instant Client -- which is
    needed by libodpic.
  * [980534d] add more info about Oracle client installation to README.Debian

 -- Joseph Nahmias <jello@debian.org>  Tue, 01 Feb 2022 06:02:48 -0500

odpic (4.3.0-2) unstable; urgency=medium

  * [eb2e04a] update homepage URL
  * [2cfc490] add dep on libaio1 needed by Oracle Instant Client
  * [d9a5e64] move python3-sphinx to Build-Deps (Closes: 1004408)

 -- Joseph Nahmias <jello@debian.org>  Wed, 26 Jan 2022 22:09:04 -0500

odpic (4.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1000295).
  * [54682c8] add symbols file
  * [e059b34] support DESTDIR for install
  * [31e82f9] fix spelling error
  * [9503943] fix handling of build env vars

 -- Joseph Nahmias <jello@debian.org>  Sat, 20 Nov 2021 23:37:33 -0500
