=== debian/control ===
Source: odpic
Priority: optional
Maintainer: Joseph Nahmias <jello@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 python3-sphinx <!nodoc>,
Standards-Version: 4.6.0
Section: contrib/libs
Homepage: https://oracle.github.io/odpi/
Vcs-Browser: https://salsa.debian.org/debian/odpic
Vcs-Git: https://salsa.debian.org/debian/odpic.git
Rules-Requires-Root: no

Package: odpic-dev
Section: contrib/libdevel
Architecture: any
Multi-Arch: same
Depends: libodpic4 (= ${binary:Version}), ${misc:Depends}
Recommends: odpic-doc
Description: Oracle Database Programming Interface development files
 Oracle Database Programming Interface for C (ODPI-C) is an open source
 library of C code that simplifies access to Oracle Database for applications
 written in C or C++. It is a wrapper over Oracle Call Interface (OCI) that
 makes applications and language interfaces easier to develop.
 .
 ODPI-C supports basic and advanced features of Oracle Database and Oracle
 Client. See the homepage for a list.
 .
 This package contains the files needed to develop programs that use ODPI-C;
 including the headers, examples, and sample programs.

Package: libodpic4
Section: contrib/libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libaio1
Description: Oracle Database Programming Interface runtime C shared library
 Oracle Database Programming Interface for C (ODPI-C) is an open source
 library of C code that simplifies access to Oracle Database for applications
 written in C or C++. It is a wrapper over Oracle Call Interface (OCI) that
 makes applications and language interfaces easier to develop.
 .
 ODPI-C supports basic and advanced features of Oracle Database and Oracle
 Client. See the homepage for a list.
 .
 This package contains the C shared library needed to run programs that
 dynamically link to ODPI-C.

Package: odpic-doc
Section: contrib/doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Oracle Database Programming Interface documentation
 Oracle Database Programming Interface for C (ODPI-C) is an open source
 library of C code that simplifies access to Oracle Database for applications
 written in C or C++. It is a wrapper over Oracle Call Interface (OCI) that
 makes applications and language interfaces easier to develop.
 .
 ODPI-C supports basic and advanced features of Oracle Database and Oracle
 Client. See the homepage for a list.
 .
 This package contains the developer documentation for ODPI-C.
