=== debian/changelog ===
odpic (4.6.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [a8d4153] Set upstream metadata fields: Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
  * [8a1f647] Update standards version to 4.6.1, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html
  * [d892476] Remove field Section on binary package libodpic4 that duplicates source.
    Changes-By: lintian-brush
    Fixes: lintian: installable-field-mirrors-source
    See-also: https://lintian.debian.org/tags/installable-field-mirrors-source.html

  [ Joseph Nahmias ]
  * [fbf19b0] New upstream version 4.6.0
  * [799b9ed] move sphinx to B-D-I and use dh-seq-sphinxdoc
  * [f90b397] factor out common part of pkg descriptions
  * [1b15f8d] properly install upstream's release notes as the changelog
  * [8463322] also list LICENSE.txt as not-installed
  * [1fd9636] refresh patches
  * [5e9e181] update symbols

 -- Joseph Nahmias <jello@debian.org>  Mon, 09 Jan 2023 14:12:57 -0500
