=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_VERBOSE = 1

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
	python3 -m sphinx -N -bhtml doc/src -d debian/doctrees build/html
endif

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	find $(CURDIR)/debian/tmp/usr/share/odpi/samples/ -type f -print0 \
	    | xargs -0 chmod -x

override_dh_installchangelogs:
	dh_installchangelogs doc/src/releasenotes.rst
