## odpic 5.6.3

=== debian/changelog ===
odpic (5.6.3-1) unstable; urgency=low

  * New upstream version 5.6.3
  * Set myself as maintainer (Closes: #1121502).
  * Bump Standards-Version to 4.7.3.
  * Add debian/gbp.conf.
  * Refresh and renumber patches.
  * Bump SONAME version to 5.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Extend upstream metadata.
  * Append '-shared' to LDFLAGS.
  * Use uscan version 5.
  * Drop Rules-Requires-Root.
  * Use $(CURDIR) in d/rules.
  * Update symbols for libodpic5.
  * Remove old 0003-do_not_overwrite_build_env_flags patch.
  * Add patch to include CPPFLAGS when building.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Jan 2026 12:17:32 +0000
