=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -shared
 
 %:
 	dh $@
@@ -16,7 +16,7 @@
 execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,${DEB_BUILD_OPTIONS} ${DEB_BUILD_PROFILES}))
-	python3 -m sphinx -N -bhtml doc/src -d debian/doctrees build/html
+	python3 -m sphinx -N -bhtml $(CURDIR)/doc/src -d $(CURDIR)/debian/doctrees $(CURDIR)/build/html
 endif
 
 override_dh_auto_install:
