## odpic 5.6.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #------------------------------------------------------------------------------
-# Copyright (c) 2016, 2022, Oracle and/or its affiliates.
+# Copyright (c) 2016, 2025, Oracle and/or its affiliates.
 #
 # This software is dual-licensed to you under the Universal Permissive License
 # (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl and Apache License
@@ -43,9 +43,8 @@
 SAMPLES_DIR = samples
 TESTS_DIR = test
 
-CC = gcc
-LD = gcc
-AWK = awk
+CC ?= gcc
+AWK ?= awk
 
 MAJOR_VERSION := $(shell $(AWK) '/define.*DPI_MAJOR_VERSION/ {print $$3}' \
 	include/dpi.h )
@@ -54,10 +53,13 @@
 PATCH_LEVEL := $(shell $(AWK) '/define.*DPI_PATCH_LEVEL/ {print $$3}' \
 	include/dpi.h )
 
-INSTALL = install
-CFLAGS = -Iinclude -O2 -g -Wall -Wextra -fPIC
-LIBS = -ldl -lpthread
-LDFLAGS = -shared
+INSTALL ?= install
+CFLAGS ?= -O2 -g -Wall -Wextra -fPIC
+EXTRA_CFLAGS ?=
+INCLUDES ?= -Iinclude
+LIBS ?= -ldl -lpthread
+LDFLAGS ?= -shared
+EXTRA_LDFLAGS ?=
 VERSION_LIB_NAME = $(LIB_NAME).$(MAJOR_VERSION)
 FULL_LIB_NAME = $(VERSION_LIB_NAME).$(MINOR_VERSION).$(PATCH_LEVEL)
 ifeq ($(shell uname -s), Darwin)
@@ -77,7 +79,7 @@
        dpiDeqOptions.c dpiEnqOptions.c dpiMsgProps.c dpiRowid.c dpiOci.c \
        dpiDebug.c dpiHandlePool.c dpiHandleList.c dpiSodaColl.c \
        dpiSodaCollCursor.c dpiSodaDb.c dpiSodaDoc.c dpiSodaDocCursor.c \
-       dpiQueue.c dpiJson.c
+       dpiQueue.c dpiJson.c dpiStringList.c dpiVector.c
 OBJS = $(SRCS:%.c=$(BUILD_DIR)/%.o)
 
 SAMPLES_FILES := $(SAMPLES_DIR)/Makefile $(SAMPLES_DIR)/README.md \
@@ -109,10 +111,10 @@
 	mkdir -p $(LIB_DIR)
 
 $(BUILD_DIR)/%.o: %.c dpi.h dpiImpl.h dpiErrorMessages.h
-	$(CC) -c $(CFLAGS) $< -o $@
+	$(CC) -c $(INCLUDES) $(CFLAGS) $(EXTRA_CFLAGS) $< -o $@
 
 $(LIB_DIR)/$(FULL_LIB_NAME): $(BUILD_DIR) $(LIB_DIR) $(OBJS)
-	$(LD) $(LDFLAGS) $(LIB_OUT_OPTS) $(OBJS) $(LIBS)
+	$(CC) $(LDFLAGS) $(EXTRA_LDFLAGS) $(LIB_OUT_OPTS) $(OBJS) $(LIBS)
 
 $(LIB_DIR)/$(VERSION_LIB_NAME): $(LIB_DIR)/$(FULL_LIB_NAME)
 	ln -sf $(FULL_LIB_NAME) $@
