=== debian/changelog ===
odpic (5.6.4-1) unstable; urgency=low

  * New upstream version 5.6.4

 -- Michael Fladischer <fladi@debian.org>  Tue, 27 Jan 2026 13:22:52 +0000
