=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: odpic
 Priority: optional
-Maintainer: Joseph Nahmias <jello@debian.org>
+Maintainer: Michael Fladischer <fladi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  python3-sphinx <!nodoc>,
-Standards-Version: 4.6.1
+ python3-sphinx-rtd-theme <!nodoc>,
+Standards-Version: 4.7.3
 Section: contrib/libs
 Homepage: https://oracle.github.io/odpi/
 Vcs-Browser: https://salsa.debian.org/debian/odpic
 Vcs-Git: https://salsa.debian.org/debian/odpic.git
-Rules-Requires-Root: no
 Description: Oracle Database Programming Interface
  Oracle Database Programming Interface for C (ODPI-C) is an open source
  library of C code that simplifies access to Oracle Database for applications
@@ -25,19 +25,25 @@
 Section: contrib/libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libodpic4 (= ${binary:Version}), ${misc:Depends}
-Recommends: odpic-doc
+Depends:
+ libodpic5 (= ${binary:Version}),
+ ${misc:Depends},
+Recommends:
+ odpic-doc,
 Description: ${source:Synopsis} - development files
  ${source:Extended-Description}
  .
  This package contains the files needed to develop programs that use ODPI-C;
  including the headers, examples, and sample programs.
 
-Package: libodpic4
+Package: libodpic5
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libaio1
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ libaio1,
 Description: ${source:Synopsis} - runtime C shared library
  ${source:Extended-Description}
  .
@@ -48,7 +54,9 @@
 Section: contrib/doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: ${source:Synopsis} - documentation
  ${source:Extended-Description}
  .
